issue #96: fail test.sh if any test fails

This commit is contained in:
David Wilson 2018-03-21 11:09:14 +05:45
parent 1ed86774b5
commit 0c77107041
1 changed files with 6 additions and 1 deletions

View File

@ -24,5 +24,10 @@ sys.exit(1)
for f in tests/*_test.py; do
echo $f
timeout 10 python $f
timeout 10 python $f || fail=1
done
if [ "$fail" ]; then
echo "AT LEAST ONE TEST FAILED" >&2
exit 1
fi